# $Date: 1995/08/18 09:33:47 $ $Author: kg $ $Revision: 1.1 $ #

#++
_index -- get definition of entry

_index(CC, e)

CC - category constructor
e  - entry name (string)

_index returns the unevaluated definition of the entry e of CC or 
FAIL if e is not directly defined for CC.
++#

CategoryConstructor::_index:= proc(CC,e)
begin
    # search for entry in category constructor #
    if contains(extop(CC,6), e) then
	# use index_val to avoid early evaluation of entry definition #
	index_val(extop(CC,6), e)
    else
        FAIL
    end_if;
end_proc:

# end of file #
