# $Date: 1996/07/02 12:37:22 $ $Author: zimmerma $ $Revision: 1.3 $ #

#--
	cosh/Series -- the function attribut "series" for cosh
--#

cosh:=funcattr(cosh,"series",proc(f,x,n)
   local t,k,a;
   name Series::cosh;
begin
   if f=x then Puiseux::create(1,0,n,Series::gen["cosh"](n),x)
   else
      t:=Series::Puiseux(f,x,n);
      k:=ldegree(t);
      if k>0 then Puiseux::_fconcat(
          Puiseux::create(1,0,n,Series::gen["cosh"](n),x),t)
      elif k=0 then
         a:=lcoeff(t);
         t:=f-a;
         cosh(a)*series(cosh(t),x,n)+sinh(a)*series(sinh(t),x,n)
      else error("unable to compute series expansion")
      end_if
   end_if
end_proc):

Series::gen["cosh"]:=proc(n) local i,t;
begin
   t:=1; 
   [1,(0,(t:=t/(2*i-1)/(2*i)))$i=1..(n-1) div 2]
end_proc:
Series::gen["cosh"](0):=[]:

# end of file #
